//
// KickerHuhn - a little bit of action for your desktop's edge
// Copyright (C) 2001, 2002 Josef Spillner, dr_maux@users.sourceforge.net
// Published under GNU GPL conditions
//

#include "huhn.h"

Huhn::Huhn(QCanvasPixmapArray *array, QCanvas *canvas)
: QCanvasSprite(array, canvas)
{
	m_speed = 1;
	m_ttl = -1;
}

Huhn::~Huhn()
{
}

void Huhn::setSpeed(int speed)
{
	m_speed = speed;
	if(!speed) m_ttl = 20;
}

int Huhn::speed()
{
	return m_speed;
}

int Huhn::timeToLive()
{
	if(m_ttl) m_ttl--;
	return m_ttl;
}

