//
// KickerHuhn - a little bit of action for your desktop's edge
// Copyright (C) 2001, 2002 Josef Spillner, dr_maux@users.sourceforge.net
// Published under GNU GPL conditions
//

#ifndef KICKERHUHN_HUHN_H
#define KICKERHUHN_HUHN_H

#include <qcanvas.h>

class Huhn : public QCanvasSprite
{
	public:
		Huhn(QCanvasPixmapArray *array, QCanvas *canvas);
		~Huhn();

		void setSpeed(int speed);
		int speed();
		int timeToLive();

	private:
		int m_speed, m_ttl;
};

#endif

