//
// KickerHuhn - a little bit of action for your desktop's edge
// Copyright (C) 2001, 2002 Josef Spillner, dr_maux@users.sourceforge.net
// Published under GNU GPL conditions
//

#ifndef KICKERHUHN_H
#define KICKERHUHN_H

#include <kpanelapplet.h>

class Game;

class KickerHuhn : public KPanelApplet
{
	public:
		KickerHuhn(const QString config, QWidget *parent = NULL);
		~KickerHuhn();

		int widthForHeight(int height) const {return height * 3;};
		int heightForWidhth(int width) const {return width / 3;};

	protected:
		void about();

	private:
		Game *game;
};

#endif

